# List profiles GET https://hublinks.io/rest/accounts/{account_id}/campaigns/{campaign_id}/profiles List profiles within a campaign. Supports `last_key` and `specific_attributes`. Reference: https://api.hublinks.io/api-reference/campaign-profiles/list-profiles ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /rest/accounts/{account_id}/campaigns/{campaign_id}/profiles: get: operationId: list-profiles summary: List profiles description: >- List profiles within a campaign. Supports `last_key` and `specific_attributes`. tags: - subpackage_campaignProfiles parameters: - name: account_id in: path required: true schema: type: string - name: campaign_id in: path required: true schema: type: string - name: X-API-KEY in: header required: true schema: type: string responses: '200': description: Response with status 200 content: application/json: schema: $ref: >- #/components/schemas/Campaign Profiles_List profiles_Response_200 '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/GetRestAccountsAccount_cd855c2bb1cc72097238CampaignsCampaign_test_123ProfilesRequestBadRequestError '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/GetRestAccountsAccount_cd855c2bb1cc72097238CampaignsCampaign_test_123ProfilesRequestUnauthorizedError servers: - url: https://hublinks.io components: schemas: RestAccountsAccountIdCampaignsCampaignIdProfilesGetResponsesContentApplicationJsonSchemaProfilesItemsActionLogsItems: type: object properties: 'n': type: string s: type: integer t: type: integer required: - 'n' - s - t title: >- RestAccountsAccountIdCampaignsCampaignIdProfilesGetResponsesContentApplicationJsonSchemaProfilesItemsActionLogsItems RestAccountsAccountIdCampaignsCampaignIdProfilesGetResponsesContentApplicationJsonSchemaProfilesItems: type: object properties: id: type: string status: type: string urn_lp: type: string seat_id: type: string comp_name: type: string filter_id: type: string full_name: type: string job_title: type: string last_name: type: string ln_degree: type: integer member_id: type: string public_id: type: string account_id: type: string first_name: type: string wait_until: type: integer action_logs: type: array items: $ref: >- #/components/schemas/RestAccountsAccountIdCampaignsCampaignIdProfilesGetResponsesContentApplicationJsonSchemaProfilesItemsActionLogsItems campaign_id: type: string last_action: type: string ln_headline: type: string next_action: type: string comp_website: type: string next_node_id: type: string last_action_at: type: integer comp_industry_name: type: string comp_location_region: type: string ln_profile_message_at: type: integer ln_profile_replied_at: type: integer ln_profile_inmail_count: type: integer required: - id - status - urn_lp - seat_id - comp_name - filter_id - full_name - job_title - last_name - ln_degree - member_id - public_id - account_id - first_name - wait_until - action_logs - campaign_id - last_action - ln_headline - next_action - comp_website - next_node_id - last_action_at - comp_industry_name - comp_location_region - ln_profile_message_at - ln_profile_replied_at - ln_profile_inmail_count title: >- RestAccountsAccountIdCampaignsCampaignIdProfilesGetResponsesContentApplicationJsonSchemaProfilesItems Campaign Profiles_List profiles_Response_200: type: object properties: success: type: boolean last_key: description: Any type profiles: type: array items: $ref: >- #/components/schemas/RestAccountsAccountIdCampaignsCampaignIdProfilesGetResponsesContentApplicationJsonSchemaProfilesItems required: - success - profiles title: Campaign Profiles_List profiles_Response_200 GetRestAccountsAccount_cd855c2bb1cc72097238CampaignsCampaign_test_123ProfilesRequestBadRequestError: type: object properties: error: type: string message: type: string required: - error - message title: >- GetRestAccountsAccount_cd855c2bb1cc72097238CampaignsCampaign_test_123ProfilesRequestBadRequestError GetRestAccountsAccount_cd855c2bb1cc72097238CampaignsCampaign_test_123ProfilesRequestUnauthorizedError: type: object properties: error: type: string message: type: string required: - error - message title: >- GetRestAccountsAccount_cd855c2bb1cc72097238CampaignsCampaign_test_123ProfilesRequestUnauthorizedError securitySchemes: apiKeyAuth: type: apiKey in: header name: X-API-KEY ``` ## SDK Code Examples ```python Campaign Profiles_List profiles_example import requests url = "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles" headers = {"X-API-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Campaign Profiles_List profiles_example const url = 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles'; const options = {method: 'GET', headers: {'X-API-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Campaign Profiles_List profiles_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Campaign Profiles_List profiles_example require 'uri' require 'net/http' url = URI("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java Campaign Profiles_List profiles_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles") .header("X-API-KEY", "") .asString(); ``` ```php Campaign Profiles_List profiles_example request('GET', 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles', [ 'headers' => [ 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp Campaign Profiles_List profiles_example using RestSharp; var client = new RestClient("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift Campaign Profiles_List profiles_example import Foundation let headers = ["X-API-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```